View Issue Details

IDProjectCategoryView StatusLast Update
0037127LazarusLCLpublic2020-06-09 09:37
ReporterDaniele Ponteggia Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformx86_64OSmacOS 
Product Version2.0.8 
Summary0037127: Cocoa Flat SpeedButton renders differently depending macOS version
DescriptionOn macOS 10.14.6 Mojave a TSpeedButton with Flat:=True renders correctly. The same code run on Sierra gives an incorrect render.
See:

https://forum.lazarus.freepascal.org/index.php/topic,49895.0.html
Tagscocoa, TSpeedButton
Fixed in Revision63297
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

related to 0035555 resolvedDmitry Boyarintsev Cocoa flat TSpeedButton draws incorrectly 

Activities

Dmitry Boyarintsev

2020-06-05 05:37

developer   ~0123239

please test and close if ok

Daniele Ponteggia

2020-06-09 09:37

reporter   ~0123352

Tested on Sierra 10.12.6 and Mojave 10.14.6. Now the rendering is consistent on different macOS versions.

Issue History

Date Modified Username Field Change
2020-05-21 16:18 Daniele Ponteggia New Issue
2020-05-26 09:38 Daniele Ponteggia Tag Attached: cocoa
2020-05-26 09:38 Daniele Ponteggia Tag Attached: TSpeedButton
2020-05-27 01:44 Dmitry Boyarintsev Relationship added related to 0035555
2020-06-05 05:37 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-06-05 05:37 Dmitry Boyarintsev Status new => resolved
2020-06-05 05:37 Dmitry Boyarintsev Resolution open => fixed
2020-06-05 05:37 Dmitry Boyarintsev Fixed in Revision => 63297
2020-06-05 05:37 Dmitry Boyarintsev LazTarget => -
2020-06-05 05:37 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-06-05 05:37 Dmitry Boyarintsev Note Added: 0123239
2020-06-09 09:37 Daniele Ponteggia Status resolved => closed
2020-06-09 09:37 Daniele Ponteggia Note Added: 0123352